summaryrefslogtreecommitdiff
path: root/files/random-image
diff options
context:
space:
mode:
Diffstat (limited to 'files/random-image')
-rwxr-xr-xfiles/random-image16
1 files changed, 16 insertions, 0 deletions
diff --git a/files/random-image b/files/random-image
new file mode 100755
index 0000000..f7a049b
--- /dev/null
+++ b/files/random-image
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+FILE=$1
+ARGS=$2
+
+TEMPFILE=`mktemp $1.XXXXXX`
+
+trap "rm -f $TEMPFILE" EXIT
+sort -R $FILE > $TEMPFILE
+
+for FILENAME in `cat $TEMPFILE`; do
+
+ echo $FILENAME
+ hdfsee --int-boost=3 ${FILENAME} $ARGS
+
+done